Subject: Re: bug#17369: 24.4.50; several lines form a block of lines after inserting paren

From: Stefan Monnier <[email-masked]>
Date: Tue, 29 Apr 2014 10:20:50 -0400

> To reproduce start emacs -Q and:
> 1. Type the following contents
> a
> {
> b
> }
> 2. Confirm that while standing on "b" and pressing END you just land after
> the "b".
> 3. After "a" insert "{" and delete it
> 4. Try to END from "b", and notice you land at the end of the file.

I can't reproduce it.
I did

  emacs -Q
  a RET { RET b RET } RET
  up up end                     [ I get to right after "b", as expected.  ]
  up up { backspace
  down down left end

and I again end up right after "b".

        Stefan